# Class ExpandRowContainerComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- AfterContentInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:57

#####
Index

### Constructors

constructor

### Properties

_subscription?
element
expandCell
expandCellContent?
portal
viewContainerRef

### Methods

ngAfterContentInit
ngOnDestroy

## Constructors

### constructor

- new ExpandRowContainerComponent<Data>(viewContainerRef, expandCell): ExpandRowContainerComponent<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - viewContainerRef: ViewContainerRef
  - expandCell: ExpandRowService<Data>

  #### Returns ExpandRowContainerComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:69

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:67

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:60

### `Readonly` expandCell

expandCell: ExpandRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:73

### `Optional` expandCellContent

expandCellContent?: ExpandRowContentDirective<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:63

### portal

portal: null | TemplatePortal<ExpandCellContentDirectiveContext<Data>> = null

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:65

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:71

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:81

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:77